/// [gestureTargetableWidgets] is an non-exhaustive list of common Flutter widgets targetable by a gesture event.
/// Because those widgets are known to be responsible for gesture events handling, if we encounter them during the graph scan, we don't need to go further down the tree.
/// This results in better performance of graph scan by reducing the number of widgets visited.
/// Any other widgets considered as gesture event handler can be added in this list.
const gestureTargetableWidgets = [
  'TextButton',
  'ElevatedButton',
  'FloatingActionButton',
  'IconButton',
  'InkWell',
  'GestureDetector',
  'DropdownButton',
  'OutlinedButton',
  'Radio',
  'PopupMenuButton',
  'CupertinoButton'
];
